| Home | Libraries | People | FAQ | More

## Class last_value<void>

boost::signals2::last_value<void> — Evaluate an InputIterator sequence.

## Synopsis

    // In header: <boost/signals2/last_value.hpp>

    class last_value<void> {
    public:
      // types
      typedef void result_type;

      // invocation
      template<typename InputIterator>
        result_type operator()(InputIterator, InputIterator) const;
    };

## Description

### `last_value` invocation

1.     template<typename InputIterator>
         result_type operator()(InputIterator first, InputIterator last) const;

   Effects: | Attempts to dereference every iterator in the sequence `[first, last)`.
   Throws: | Unlike the non-void versions of `last_value`, the void specialization does not throw.